<?php

/**
 * Filter by number of nodes per term.
 */
class taxonomy_stats_handler_filter_term_count extends views_handler_filter_numeric {

  /**
   * Add a HAVING clause based on the number of nodes per term.
   */
  function query() {
    $this->field_alias = $this->query->add_field('term_node', $this->query->base_field, 'term_node_count', array('count' => TRUE));
    switch ($this->operator) {
      case 'between':
        $this->query->add_having($this->options['group'], "$this->field_alias >= %d", $this->value['min']);
        $this->query->add_having($this->options['group'], "$this->field_alias <= %d", $this->value['max']);
        break;
      case 'not between':
        $this->query->add_having($this->options['group'], "$this->field_alias <= %d OR $this->field_alias >= %d", $this->value['min'], $this->value['max']);
        break;
      case 'empty':
        $this->query->add_having($this->options['group'], "$this->field_alias = 0");
        break;
      case 'not empty':
        $this->query->add_having($this->options['group'], "$this->field_alias > 0");
        break;
      default:
        $this->query->add_having($this->options['group'], "$this->field_alias $this->operator %d", $this->value['value']);
        break;
    }
  }

}
