<?php

/**
 * Implementation of hook_views_data().
 */
function taxonomy_stats_views_data() {
  $data['term_node']['taxonomy_stats_count'] = array(
    'title' => t('Term count'),
    'help' => t('Number of nodes per term'),
    'group' => t('Taxonomy Stats'),
    'field' => array(
      'handler' => 'taxonomy_stats_handler_field_term_count',
      'click sortable' => TRUE,
    ),
    'filter' => array(
      'handler' => 'taxonomy_stats_handler_filter_term_count',
    ),
    'sort' => array(
       'handler' => 'taxonomy_stats_handler_sort_term_count',
    ),
  );
  return $data;
}

/**
 * Implementation of hook_views_handlers().
 */
function taxonomy_stats_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'taxonomy_stats') . '/includes',
    ),
    'handlers' => array(
      // field handlers
      'taxonomy_stats_handler_field_term_count' => array(
        'parent' => 'views_handler_field_numeric',
      ),
      // filter handlers
      'taxonomy_stats_handler_filter_term_count' => array(
        'parent' => 'views_handler_filter_numeric',
      ),
      // sort handlers
      'taxonomy_stats_handler_sort_term_count' => array(
        'parent' => 'views_handler_sort',
      ),
    ),
  );
}
